> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account api key permission

> Get account api key permission

**Limit 10 requests per 60 seconds**\
Get api\_key list and its permissions of the account. The response will contain your API keys’ permissions based on the credentials.

<ResponseExample>
  ```bash theme={null}
  {
      "success": true,
      "data": {
          "rows": [
              {
                  "accountName": "Main",
                  "userId": 12523,
                  "apiKey": "+Pxxxxxxxxxxxxxxxxxxxx==",
                  "permissions": [ "READ", "TRADE", "WITHDRAWAL" ],
                  "allowedIPs": ["123.0.0.1", "124.2.1.1"] // hide field if no ip restriction
              },
          ],
          "meta": {
              "total": 46,
              "recordsPerPage": 1,
              "currentPage": 1
          }
      },
      "timestamp": 1721295317627
  }

  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/account/credentials
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/account/credentials:
    get:
      description: Get account api key permission
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            example: abcdef123456
          description: ''
        - name: x-api-signature
          in: header
          required: true
          schema:
            type: string
            example: signaturestring
          description: ''
        - name: x-api-timestamp
          in: header
          required: true
          schema:
            type: string
            example: '1718943200000'
          description: ''
        - name: page
          in: query
          description: the page you wish to query.
          required: false
          explode: true
          schema:
            type: integer
            default: 1
        - name: size
          in: query
          description: the page size you wish to query, default = 25, 1000 at max.
          required: false
          explode: true
          schema:
            type: integer
            default: 25
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialsResponse'
      security: []
components:
  schemas:
    CredentialsResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                rows:
                  type: array
                  items:
                    type: object
                    properties:
                      accountName:
                        type: string
                        description: >-
                          The account name associated with the API key, e.g.,
                          'Main'.
                      userId:
                        type: integer
                        description: >-
                          The unique identifier of the user associated with the
                          API key.
                      apiKey:
                        type: string
                        description: The API key used for authentication.
                      permissions:
                        type: array
                        items:
                          type: string
                          enum:
                            - READ
                            - TRADE
                            - WITHDRAWAL
                        description: >-
                          The permissions assigned to the API key, e.g., 'READ',
                          'TRADE', 'WITHDRAWAL'.
                      allowedIPs:
                        type: array
                        items:
                          type: string
                          format: ipv4
                        description: >-
                          A list of IP addresses allowed to use this API key.
                          This field may be hidden if there is no IP
                          restriction.
                meta:
                  $ref: '#/components/schemas/Meta'
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp
    Meta:
      type: object
      properties:
        total:
          type: integer
          description: Total number of record
        recordsPerPage:
          type: integer
          description: Number of records per page
        currentPage:
          type: integer
          description: Current page number

````